﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.ChartView;
using Telerik.Charting;
using Telerik.Windows.Controls;

namespace AdditionalAxesWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            //Chart.Series[0].VerticalAxis = new LinearAxis() { Margin.Left = 5};
            (Chart.Series[0].VerticalAxis as LinearAxis).Margin = new Thickness(5, 0, 0, 0);
            (Chart.Series[0].HorizontalAxis as CategoricalAxis).Margin = new Thickness(5, 0, 0, 0);

        }
    }

    public class ChartData
    {
        public ChartData(double value, double value2, string category)
        {
            this.Value = value;
            this.Value2 = value2;
            this.Category = category;
        }

        public double Value { get; set; }
        public double Value2 { get; set; }
        public string Category { get; set; }
    }

    public class ViewModel : ViewModelBase
    {
        public List<ChartData> data = new List<ChartData>();
        public List<ChartData> Data
        {
            get
            {
                for (int i = 1; i < 6; i++)
                {
                    data.Add(new ChartData(i * 10, i * 15, "Cat " + i.ToString()));
                }
                return data;
            }
            set
            {
                this.data = value;
                OnPropertyChanged("Data");
            }
        }
    }
}
